## zowe › ejes › query › lpalst

Select a table of data sets in the LPA concatenation of the link pack libraries defined to the systems in your sysplex.

Use General Use options like --select and --metafilter to modify which rows are included in your table. Use --table to drill down to a child table and --report to output the contents of a spool data set, a MVS data set, or report instead of the table. Use --command to issue commands against the rows included in the table.

#### Usage

zowe ejes query lpalst [parameter-list] [options]

#### Positional Arguments

- `parameter-list` (string)

  - Optional list enclosed in double-quotes. May contain optional parameters or an invocation system selection override. See the (E)JES Reference Manual for information for the corresponding command for details about content and the list's internal order.

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### General Use Options

- `--metafilter` | `-m` (array)

  - Specify row filtering in a table. Use "-m help" for detailed information. Use "-m list" to show available columns.

    Allowed value: off, metafilter_construct, list, help

- `--report` | `-r` (array)

  - Specify a child report to output. Only the first row of the table is selected for the report. You may want to use --sort, --select, or --metafilter to position the desired report as the first row. Use "-r list" to show available reports.

    Default value: &nbspb
    Allowed values: browse-linecommand, list, help

- `--select` | `-s` (array)

  - Specify column selections (TSELECT). Use "-s help" for detailed information. Use "-s list" to show available arguments for the table.

    Allowed values: off, select_construct, list, help

- `--showcols` | `-w` (string)

  - Specify the only columns to show in a table being output, and their order. It does not apply to the parent tables of the output table. Use "-w list" to show available columns.

    Allowed values: column-key..., list, help

- `--sort` | `-z` (array)

  - Specify column sorting. Use "-z list" to show available columns.

    Allowed values: off, sort_construct, list, help

- `--table` | `-t` (array)

  - Specify a child table. Use "-t list" to show available tables.

    Default value: &nbsps
    Allowed values: tabular-linecommand, list, help

#### General Primary Selection Options

- `--dest` (string)

  - Establish up to 8 destination filters. Filters these tables: hold, hold datasets, writer (output), writer datasets, job status, job status datasets, and job zero.

    Allowed values: off, destination-mask(s), list, help

- `--jobclass` (string)

  - Establish up to 4 job class filter masks. Filters these tables: activity, input, hold, writer (output), job status, mds, and nje.

    Allowed values: off, jobclass-mask(s), list, help

- `--jobname` | `-j` (string)

  - Establish up to 8 job name filter masks. Filters these tables: activity, input, hold, writer (output), nje, status, and mds.

    Allowed values: off, jobname-mask(s), list, help

- `--origin` (string)

  - Establish up to 4 job origin filters. Filters these tables: activity, input, hold, writer (output), job status, mds, and nje.

    Allowed values: off, origin-mask(s), list, help

- `--owner` | `-o` (string)

  - Specify up to 8 owner masks.

    Allowed values: off, name-mask(s), list, help

#### Query options

- `--header` (string)

  - Specify whether to include headers for tables.

    Allowed values: on, off, list, help

- `--cc` (string)

  - Establish carriage control handling for downloaded reports.

    Allowed values: discard, interpret, keep, list, help

- `--countOnly` | `--count` (string)

  - When a table or report is selected for output, only output the "Rows available" line.

    Allowed values: on, list, help

- `--hidecols` (string)

  - Specify columns to hide in a table. Use "--hidecols list" to show available columns.

    Allowed values: column-key..., list, help]

- `--lines` | `-y` (string)

  - Specify lines in a table or report.

    Default value: &nbspTable: Terminal rows - 6, Report: 1000
    Allowed values: 1000, number, all, list, help

- `--pdf` (array)

  - Output a report in PDF format to a host provided file name corresponding to the data set. Optionally provide a file name or path. The EJES_DOWNLOAD_PATH environment variable value is prepended if a path is not provided.

- `--text` | `--txt` (array)

  - Output a report in text format to a host provided file name corresponding to the data set. Optionally provide a file name or path. The EJES_DOWNLOAD_PATH environment variable value is prepended if a path is not provided.

- `--start` (string)

  - Specify the beginning line number for a report.

    Allowed values: number, 1, list, help

- `--width` | `-x` (string)

  - Specify maximum characters per line or row.

    Default value: &nbsptty default character width
    Allowed values: number, all, list, help

#### Command Processing Options

- `--actpurge` (string)

  - Enable cancel/purge commands for executing jobs on job-oriented tables.

    Allowed values: on, list, help

- `--command` | `-c` (string)

  - Specify a line command. Use "-c list" to show available commands.

    Allowed values: command[ argument], list, help

- `--confirm` (string)

  - Confirm previously queued commands. Use "--confirm help" for detailed information.

    Allowed values: on, list, help

- `--immediate` | `-i` (string)

  - Run line commands without confirmation.

    Allowed values: fast, slow, list, help

#### Job Submission Options

- `--submit` | `--submit` | `--sub` (string)

  - Submit a local or host file to the host. Searches the current working directory for the file or the path on the EJES_SUBMIT_PATH environment variable.

    Allowed values: local:path, MVS data set, z/OS UNIX path

- `--recfm` (array)

  - Record format.

- `--lrecl` (array)

  - Logical record length.

- `--unit` (array)

  - Generic or esoteric unit name where an uncataloged MVS data set resides.

- `--volume` (array)

  - Volume serial where an uncataloged MVS data set resides.

- `--subsys` (array)

  - Subsystem name where the job should be sent. If not speficied defaults to the subsystem under which the current (E)JES session is running.

    Allowed values: jes2, jes3, list, help

#### Debug and Test Options

- `--debug` | `--dbg` | `--debug-value` | `--dv` (string)

  - Specify a numeric debugging mode.

    Allowed values: number, list, help

    Allowed values: \d+, list, help

- `--dry-run` | `-n` (array)

  - Run under dry-run protocols.

    Allowed values: syntax, check, all, list, help

#### Advanced Use Primary Selection Options

- `--atx` (string)

  - Disable selecting APPC/MVS transaction jobs for applicable tables by specifying "no".

    Allowed values: yes, no, off, list, help

- `--job` (string)

  - Disable selecting batch jobs for applicable tables by specifying "no".

    Allowed values: yes, no, off, list, help

- `--stc` (string)

  - Disable selecting started tasks for applicable tables by specifying "no".

    Allowed values: yes, no, off, list, help

- `--sysclass` (string)

  - Establish up to 8 1-character sysclasses without spaces. Filters these tables: hold, hold datasets, writer (output), writer datasets, job status, job status datasets and job zero.

    Allowed values: off, sysclass(es), list, help

- `--tsu` (string)

  - Disable selecting TSO user output for applicable tables by specifying "no".

    Allowed values: yes, no, off, list, help

- `--usr` | `--userid` (string)

  - Establish up to 8 submitter user filters. Filters these tables: activity, input, hold, writer (output), job status, mds, and nje.

    Allowed values: off, user-mask(s), list, help

#### Advanced Use Options

- `--acplex` (string)

  - Set the data gathering scope for the Activity display.

    Allowed values: jes, sys, list, help

- `--codepage` | `----cp` (string)

  - Change the code page set for your installation for output as UTF-8.

    Allowed values: list, help, 0, 273, 277, 280, 284, 297, 297, 424, 833, 870, 875, 1026, 1047, 1122, 1141, 1143, 1145, 1147, 1149, 1159, 37, 275, 278, 281, 285, 420, 500, 836, 871, 1025, 1027, 1112, 1140, 1140, 1142, 1144, 1146, 1148, 1153

- `--curstep` (string)

  - Enable extra columns on JES2 Input and Job Status.

    Allowed values: on, off, list, help

- `--datefmt` (string)

  - Customize date formatting.

    Allowed values: yyyyddd ., yyyyddd -, yyyyddd, YYYYMMDD /, YYYYMMDD -, YYYYMMDD, YYYYDDMM /, YYYYDDMM -, YYYYDDMM, MMDDYYYY /, MMDDYYYY -, MMDDYYYY, DDMMYYYY /, DDMMYYYY -, DDMMYYYY

- `--deltxt` (string)

  - Possibly show canceled or printed data sets in the JES spool.

    Allowed values: on, off, list, help

- `--inptxt` (string)

  - Show in-stream SYSIN data sets.

    Allowed values: on, off, list, help

- `--jes2` | `-2` (boolean)

  - Use the JES2 spooler instead of the default spooler.

- `--jes3` | `-3` (boolean)

  - Use the JES3 or JES3plus spooler instead of the default spooler.

- `--max` (string)

  - Change level of detail to show maximum number of columns. Filters these tables: activity, djc, hold, input, job status, nje, and writer.

    Allowed values: on, list, help

- `--numchar` (string)

  - Establish the numeric magnitude and decimal separator character to be used when formatting numeric values.

    Allowed values: 'MD', 'M ' where M is a magnitude character, D is a decimal character, and either can be blank.

- `--setup` (string)

  - On Printer/Punch table, show required attributes of devices in setup status (on) or show current attributes of devices in setup status(off).

    Allowed values: on, off, list, help

- `--sysname` (string)

  - Set the server system name filter. This filter limits the systems from which peer-to-peer remote server data is gathered.

    Allowed values: system-mask, '', *, list, help

- `--systxt` (string)

  - Show internal JES data sets.

    Allowed values: on, off, list, help

#### Options

- `--subsystem` (string)

  - Name of the spooler to use instead of the default spooler.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.

#### Examples

- List the available table types for the child table.

The "list" argument may be used on any option. A table for that option will be displayed and any other work will stop. The table may display available tables, reports, columns, for positional input fields depending on the option.

Example:

      * `$  zowe ejes query lpalst --table list`

- Provide detailed help for the metafilter option.

The "help" argument may be used on any option. Help for the option will be displayed and any other work will stop.

Example:

      * `$  zowe ejes query lpalst --metafilter help`